> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbluejay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v1/metrics-lab/lab/{lab_id}/metric-revisions

> Create a metric revision in a lab.

Creates a revision of a custom metric in a lab. Bluejay sets the revision number. The custom metric does not change.## Path parameters

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Headers

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Request body

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Response

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Status codes| Status | Meaning |
| - | - |
| `200` | Successful Response |
| `422` | Validation Error |## Example request```bash theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
curl --request POST \
  --url https://api.getbluejay.ai/v1/metrics-lab/lab/{lab_id}/metric-revisions \
  --header 'X-API-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
    "custom_metric_id": "<string>",
    "description": "<string>",
    "scoring_guidance": "<string>",
    "eval_route": "<string>",
    "model": "<string>",
    "audio_model": "<string>",
    "temperature": 1.5,
    "allow_not_applicable": false
  }'
```## Example response```json 200 theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
{
  "id": "<string>",
  "lab_id": "<string>",
  "custom_metric_id": "<string>",
  "revision_number": 123,
  "description": "<string>",
  "scoring_guidance": "<string>",
  "eval_route": "<string>",
  "model": "<string>",
  "audio_model": "<string>",
  "temperature": 1.5,
  "allow_not_applicable": true,
  "created_at": "2026-01-01T00:00:00Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.